Opened 9 years ago

Closed 8 years ago

#2592 closed enhancement (fixed)

[patch] tutorial01.txt should note that you can't name your site "site"

Reported by: marcdm@… Owned by: jacob
Component: Documentation Version:
Severity: normal Keywords: tutorials
Cc: dev@… Triage Stage: Accepted
Has patch: yes Needs documentation: no
Needs tests: no Patch needs improvement: no
Easy pickings: UI/UX:

Description

My very first experience with Django, I executed the command :

django-admin.py startproject site

And the rest of the tutorial didn't work. I then deleted the site folder, and did it again, this time with a folder named "www" it worked that time.

Does this mean the site can't be named site?

Attachments (1)

2592.diff (2.3 KB) - added by Simon G. <dev@…> 9 years ago.

Download all attachments as: .zip

Change History (6)

comment:1 Changed 9 years ago by Simon G. <dev@…>

  • Cc dev@… added
  • Keywords tutorials added
  • Summary changed from tutorial01.txt should note that you can't name your site "site" to [patch] tutorial01.txt should note that you can't name your site "site"
  • Triage Stage changed from Unreviewed to Accepted
  • Version 0.95 deleted

I've updated the tutorial information for this and made a few other changes based on the comments on the tutorial 1 page.

Not sure what the policy is regarding outdated comments, but IMO they should be removed. The ones that I think are invalid or incorporated into this patch are:

	"ray August 14, 2006 at 6:20 a.m." (documented)
	"dave a. September 1, 2006 at 11:28 a.m." (documented)
	"Eddy Mulyono September 25, 2006 at 6:09 p.m." (misconfiguration)
	"Helmar October 1, 2006 at 9:31 a.m." (documented)
	"Maximillian Dornseif October 2, 2006 at 12:57 a.m." (all examples do this anyway)
	"Peter Silcock October 24, 2006 at 4:37 a.m." (site issue again)
	"Jeremy Dunck November 23, 2006 at 11:08 a.m." (site thing again)
	"Taum December 28, 2006 at 11:29 a.m." (site..)
	"ME January 13, 2007 at 7:13 p.m."

Changed 9 years ago by Simon G. <dev@…>

comment:2 Changed 9 years ago by Simon G. <dev@…>

  • Has patch set

comment:3 Changed 8 years ago by ubernostrum

  • Triage Stage changed from Accepted to Ready for checkin

comment:4 Changed 8 years ago by ubernostrum

  • Triage Stage changed from Ready for checkin to Accepted

My bad, working on the wrong ticket.

comment:5 Changed 8 years ago by jacob

  • Resolution set to fixed
  • Status changed from new to closed

(In [4618]) Fixed #2592: Added a warning to tutorial 1 about not naming your project "site" or "django" or anything else similarly boneheaded.

Note: See TracTickets for help on using tickets.
Back to Top